package ru.landgrafhomyak.db.skeleton1.api

public enum class ApiVersion(public val str: String) {
	V_0_0("0.0") {
		override fun isImplements(v: ApiVersion): Boolean = this === v
	};

	override fun toString(): String = "<db-skeleton api version '${this.str}'>"

	public abstract fun isImplements(v: ApiVersion): Boolean
}