package ru.landgrafhomyak.db.skeleton1.api.errors.synchronization

import ru.landgrafhomyak.db.skeleton1.api.ReflectionApi
import ru.landgrafhomyak.db.skeleton1.api.errors.SchemaSynchronizationException

@ReflectionApi
public abstract class SchemaMismatchException : SchemaSynchronizationException {
	public constructor() : super()
	public constructor(message: String?) : super(message)
	public constructor(message: String?, cause: Throwable?) : super(message, cause)
	public constructor(cause: Throwable?) : super(cause)
}