package ru.landgrafhomyak.db.skeleton1.api.runtime

import ru.landgrafhomyak.db.skeleton1.api.LowLevelApi
import ru.landgrafhomyak.db.skeleton1.api.statement._Statement

public interface Transaction {
	public suspend fun <qUE : Any?> executeQuery_void2void(compiledQuery: _Statement.Void2Void<qUE>)

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_void2row(compiledQuery: _Statement.Void2Row<qUE>): OutputRow._Scope<qUE, Unit>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_void2rowOrNull(compiledQuery: _Statement.Void2RowOrNull<qUE>): OutputRow._Scope<qUE, Unit>?

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_void2table(compiledQuery: _Statement.Void2RowOrNull<qUE>): OutputRow._Iterator<qUE, Unit>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_params2void(compiledQuery: _Statement.Void2Void<qUE>): InputRow._Scope<qUE, Unit>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_params2row(compiledQuery: _Statement.Void2Row<qUE>): InputRow._Scope<qUE, OutputRow._Scope<qUE, Unit>>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_params2rowOrNull(compiledQuery: _Statement.Void2RowOrNull<qUE>): InputRow._Scope<qUE, OutputRow._Scope<qUE, Unit>?>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_params2table(compiledQuery: _Statement.Void2RowOrNull<qUE>): InputRow._Scope<qUE, OutputRow._Iterator<qUE, Unit>>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeBatch_params2void(compiledQuery: _Statement.Void2Void<qUE>): InputRow._Iterator<qUE, Unit>

	public suspend fun rollback()

	public suspend fun commit()

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun _assertTransactionFinishedAndReleaseResources()
}