package ru.landgrafhomyak.db.skeleton1.api

import ru.landgrafhomyak.db.skeleton1.api.statement.RawStatement

public interface Driver<
		@Suppress("unused") DATABASE_TYPE : DatabaseType<*>,
		@Suppress("unused") STATEMENT_CONSTRUCTOR__VOID_2_VOID : RawStatement.Void2Void.Constructor<*>,
		@Suppress("unused") STATEMENT_CONSTRUCTOR__VOID_2_ROW : RawStatement.Void2Row.Constructor<*>,
		@Suppress("unused") STATEMENT_CONSTRUCTOR__VOID_2_ROW_OR_NULL : RawStatement.Void2RowOrNull.Constructor<*>,
		@Suppress("unused") STATEMENT_CONSTRUCTOR__VOID_2_TABLE : RawStatement.Void2Table.Constructor<*>,
		@Suppress("unused") STATEMENT_CONSTRUCTOR__PARAMS_2_VOID : RawStatement.Params2Void.Constructor<*>,
		@Suppress("unused") STATEMENT_CONSTRUCTOR__PARAMS_2_ROW : RawStatement.Params2Row.Constructor<*>,
		@Suppress("unused") STATEMENT_CONSTRUCTOR__PARAMS_2_ROW_OR_NULL : RawStatement.Params2RowOrNull.Constructor<*>,
		@Suppress("unused") STATEMENT_CONSTRUCTOR__PARAMS_2_TABLE : RawStatement.Params2Table.Constructor<*>,
		@Suppress("unused") OBJECT_OPERATIONS : ObjectClass<*>
		> {
	@ReflectionApi
	public fun isImplements(version: ApiVersion): Boolean

	public fun assertImplemented_databaseType(ip: DatabaseType.ImplementationsProvider<*>)
	public fun assertImplemented_rawStatement_void2void(ip: RawStatement.Void2Void.ImplementationsProvider<*>)
	public fun assertImplemented_rawStatement_void2row(ip: RawStatement.Void2Row.ImplementationsProvider<*>)
	public fun assertImplemented_rawStatement_void2rowOrNull(ip: RawStatement.Void2RowOrNull.ImplementationsProvider<*>)
	public fun assertImplemented_rawStatement_void2table(ip: RawStatement.Void2Table.ImplementationsProvider<*>)
	public fun assertImplemented_rawStatement_params2void(ip: RawStatement.Params2Void.ImplementationsProvider<*>)
	public fun assertImplemented_rawStatement_params2row(ip: RawStatement.Params2Row.ImplementationsProvider<*>)
	public fun assertImplemented_rawStatement_params2rowOrNull(ip: RawStatement.Params2RowOrNull.ImplementationsProvider<*>)
	public fun assertImplemented_rawStatement_params2table(ip: RawStatement.Params2Table.ImplementationsProvider<*>)
	public fun assertImplemented_objectOperations(ip: ObjectClass.ImplementationsProvider)
}