package ru.landgrafhomyak.db.skeleton1.api.errors

import kotlin.jvm.JvmStatic
import kotlinx.coroutines.CopyableThrowable
import kotlinx.coroutines.ExperimentalCoroutinesApi
import ru.landgrafhomyak.db.skeleton1.api.ReflectionApi

@ReflectionApi
@OptIn(ExperimentalCoroutinesApi::class)
public class EntityOutdatedException : IllegalArgumentException, CopyableThrowable<EntityOutdatedException> {
	public constructor() : super()
	public constructor(message: String?) : super(message)
	public constructor(message: String?, cause: Throwable?) : super(message, cause)
	public constructor(cause: Throwable?) : super(cause)

	override fun createCopy(): EntityOutdatedException? = EntityOutdatedException(this.message, this.cause)
}