package ru.landgrafhomyak.db.skeleton1.api.module

import kotlin.jvm.JvmName
import ru.landgrafhomyak.db.skeleton1.api.ReflectionApi
import ru.landgrafhomyak.db.skeleton1.api.ObjectClass

public interface ModuleScopedObject<mUE : Any> {
	@ReflectionApi
	public val module: Module<mUE>

	@ReflectionApi
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("getPathFromParentModuleRoot")
	public val pathFromParentModuleRoot: List<String>?

	@ReflectionApi
	public val objectClassProvider: ObjectClass.ImplementationsProvider
}