package ru.landgrafhomyak.db.skeleton1.api.statement

import ru.landgrafhomyak.db.skeleton1.api.DatabaseType

public interface StatementIODeclarationScope<@Suppress("unused") sUE : Any> {
	public interface Input<sUE : Any> : StatementIODeclarationScope<sUE> {
		public fun <RT> inputParam(type: DatabaseType.ImplementationsProvider<RT>): InputParam<RT, sUE>
	}

	public interface Output<sUE : Any> : StatementIODeclarationScope<sUE> {
		public fun <RT> outputColumn(type: DatabaseType.ImplementationsProvider<RT>): OutputColumn<RT, sUE>
	}

	public interface InputOutput<sUE : Any> : StatementIODeclarationScope<sUE>, Input<sUE>, Output<sUE>
}